/**
 * Data model pour les capacités naturelles
 */
export default class CapaciteNaturelleDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      pouvoirtype: new fields.StringField({ initial: "actif" }),
      activation: new fields.StringField({ initial: "" }),
      cibles: new fields.StringField({ initial: "" }),
      effet: new fields.StringField({ initial: "" }),
      duree: new fields.StringField({ initial: "" }),
      portee: new fields.StringField({ initial: "" }),
      resistance: new fields.StringField({ initial: "aucune" }),
      resistanceautre: new fields.StringField({ initial: "" }),
      isvirulence: new fields.BooleanField({ initial: false }),
      virulence: new fields.StringField({ initial: "" }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
